const { defineConfig } = require('@vue/cli-service')
module.exports = defineConfig({
  transpileDependencies: true,
  runtimeCompiler: true,

  devServer: {
    host: "0.0.0.0",
    port: 8899,
    open: true,
    proxy: {
      // detail: https://cli.vuejs.org/config/#devserver-proxy
      '/dev-api': {
        target: `http://175.27.215.92/prod-api`,
        // target: `http://1345442242.gnway.cc:80`,
        changeOrigin: true,
        pathRewrite: {
          ["^" + '/dev-api']: "",
        },
      },
    },
  },
})
